Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::MethodSlot1< T, R, P1 > Class Template Reference

A slot template for methods in a class of type T taking one argument of type P1 and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::MethodSlot1< T, R, P1 >:

List of all members.

## Public Member Functions

- MethodSlot1 (T *object, PMF function)
    Construct a new method slot for a class member function.
- virtual R call (P1 p1) const
    Calls the class method connected to this slot passing it argument p1.

## Detailed Description

### template<typename T, typename R, typename P1>
class Inti::MethodSlot1< T, R, P1 >

A slot template for methods in a class of type T taking one argument of type P1 and returning a value of type R.

## Constructor & Destructor Documentation

template<typename T, typename R, typename P1>
Inti::MethodSlot1< T, R, P1 >::MethodSlot1 | ( | T * | object,
|  | PMF | function
| ) | `[inline]`

  | Construct a new method slot for a class member function. Parameters:
  object | A pointer to an object of type T.
  function | A class method with the signature R (T::*PMF)(P1).

## Member Function Documentation

template<typename T, typename R, typename P1>
virtual R Inti::MethodSlot1< T, R, P1 >::call | ( | P1 | p1 | ) | const`[inline, virtual]`

| Calls the class method connected to this slot passing it argument p1. Returns: A value of type R returned by the called method. Implements Inti::Slot1< R, P1 >.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer